DS_ALLOC_MULTI(3)

FUNCTION
ds_alloc_multi - Allocate a multi_array descriptor.

SYNOPSIS
#include <karma_ds.h>

multi_array * ds_alloc_multi

(unsigned int num_arrays)

DESCRIPTION
This routine will allocate a multi_array descriptor. The memory for the array of pointers to the array names, headers and data arrays is also allocated.

num_arrays
    The number of independent general data structures arrays.

RETURN VALUE
A pointer to the header on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/